<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/background"
    android:orientation="vertical">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.utils.widget.ImageFilterView
            android:id="@+id/ifv_avatar"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="15dp"
            android:src="@drawable/ic_avatar"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundPercent="1" />

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="肤浅"
            android:textColor="@color/black"
            android:textSize="15sp"
            app:layout_constraintBottom_toTopOf="@id/tv_signature"
            app:layout_constraintStart_toEndOf="@id/ifv_avatar"
            app:layout_constraintTop_toTopOf="@id/ifv_avatar" />

        <TextView
            android:id="@+id/tv_signature"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="平安顺遂，喜乐无忧"
            app:layout_constraintBottom_toBottomOf="@id/ifv_avatar"
            app:layout_constraintStart_toStartOf="@id/tv_name"
            app:layout_constraintTop_toBottomOf="@id/tv_name" />

        <ImageView
            android:id="@+id/iv_search"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginEnd="5dp"
            android:scaleType="centerCrop"
            android:src="@drawable/ic_search"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_message"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_message"
            android:layout_width="22dp"
            android:layout_height="22dp"
            android:layout_marginEnd="5dp"
            android:src="@drawable/home_ic_message"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_more"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_more"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginEnd="20dp"
            android:src="@drawable/home_more_indicator"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <FrameLayout
        android:id="@+id/frameLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_more">


        <GridView
            android:id="@+id/gridView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="5dp"
            android:gravity="center"
            android:horizontalSpacing="13dp"
            android:numColumns="4"
            android:overScrollMode="never"
            android:padding="10dp"
            android:scrollbars="none"
            android:verticalSpacing="10dp"
            android:visibility="invisible" />

        <LinearLayout
            android:id="@+id/linearlayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycle_chat_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="#F1F1F1"
                android:overScrollMode="never" />
        </LinearLayout>
    </FrameLayout>
</LinearLayout>
